###############################################################################
# TI Android Config Options
# Use to set additional android options exclusively for TI v8 products
# Note:
# Use kernel/configs/android-base.config to set google android base options
# Use kernel/configs/android-recommended.config to set google android
# recommended options
# Use kernel/configs/android-base-arm64.config to set google
# android base arm64 platform options
###############################################################################
CONFIG_CMDLINE="androidboot.selinux=permissive cma=256m vmalloc=400m"
CONFIG_CMDLINE_EXTEND=y
CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_EXTEND=y

CONFIG_ARM64_64K_PAGES=n
CONFIG_ARM64_4K_PAGES=y

# ION heaps
CONFIG_ION_SYSTEM_HEAP=y
CONFIG_ION_CMA_HEAP=y

# Misc
CONFIG_DEVTMPFS=n
